[android-components](../../../index.md) / [mozilla.components.browser.state.action](../../index.md) / [TrackingProtectionAction](../index.md) / [ToggleAction](./index.md)

# ToggleAction

`data class ToggleAction : `[`TrackingProtectionAction`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/state/src/main/java/mozilla/components/browser/state/action/BrowserAction.kt#L226)

Updates the [TrackingProtectionState.enabled](../../../mozilla.components.browser.state.state/-tracking-protection-state/enabled.md) flag.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `ToggleAction(tabId: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, enabled: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)`)`<br>Updates the [TrackingProtectionState.enabled](../../../mozilla.components.browser.state.state/-tracking-protection-state/enabled.md) flag. |

### Properties

| Name | Summary |
|---|---|
| [enabled](enabled.md) | `val enabled: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) |
| [tabId](tab-id.md) | `val tabId: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
